# Uses of Class
it.tdlight.jni.TdApi.SponsoredMessage

## Uses of TdApi.SponsoredMessage in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.SponsoredMessage
Modifier and Type
Field
Description
`TdApi.SponsoredMessage[]`
TdApi.SponsoredMessages.`messages`
List of sponsored messages.
Constructors in it.tdlight.jni with parameters of type TdApi.SponsoredMessage
Modifier
Constructor
Description
``
`SponsoredMessages(TdApi.SponsoredMessage[] messages, int messagesBetween)`
Contains a list of sponsored messages.